Index: src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java
===================================================================
--- src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 28)
+++ src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 29)
@@ -31,5 +31,5 @@
 
 public class AvailablePartiesUpdaterTest {
-	private static final String RANDOMPARTY = "target/jars/randomparty-1.5.9.jar";
+	private static final String RANDOMPARTY = "target/jars/randomparty-1.6.0.jar";
 	private static final int TESTRATE = 200; // check file changes every 200ms
 	@SuppressWarnings("unchecked")
Index: src/test/java/geniusweb/partiesserver/JavaClientTest.java
===================================================================
--- src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 28)
+++ src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 29)
@@ -39,5 +39,5 @@
  */
 public class JavaClientTest {
-	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.5.9";
+	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.6.0";
 	private EmbeddedTomcat tomcat = new EmbeddedTomcat();
 	private JavaClient client = new JavaClient();
Index: src/test/java/geniusweb/partiesserver/RunningPartiesUpdaterTest.java
===================================================================
--- src/test/java/geniusweb/partiesserver/RunningPartiesUpdaterTest.java	(revision 28)
+++ src/test/java/geniusweb/partiesserver/RunningPartiesUpdaterTest.java	(revision 29)
@@ -13,5 +13,4 @@
 
 import geniusweb.actions.PartyId;
-import geniusweb.partiesserver.RunningPartiesUpdater;
 import geniusweb.partiesserver.repository.RunningPartiesRepo;
 import geniusweb.partiesserver.repository.RunningParty;
@@ -39,5 +38,6 @@
 		updater.update();
 		verify(repo, times(0)).remove(id);
-		Thread.sleep(400 + 2000); // there is 2000 extra kill wait time
+		// we also need to account for the kill delay
+		Thread.sleep(400 + RunningPartiesUpdater.KILL_DELAY);
 		updater.update();
 		verify(repo, times(1)).remove(id);
Index: src/test/java/geniusweb/partiesserver/repository/RunningPartyTest.java
===================================================================
--- src/test/java/geniusweb/partiesserver/repository/RunningPartyTest.java	(revision 28)
+++ src/test/java/geniusweb/partiesserver/repository/RunningPartyTest.java	(revision 29)
@@ -117,4 +117,23 @@
 		assertEquals(info, argument.getValue());
 	}
+
+	@Test
+	public void testSquash() {
+		assertEquals("12__3", running1.squash("12&$3"));
+	}
+
+	@Test
+	public void testSquash1() {
+		assertEquals("p12__3", running1.squash1("12&$3"));
+		assertEquals("party_32_12", running1.squash1("party+32=12"));
+		assertEquals("party_32_12", running1.squash1("party 32 12"));
+	}
+
+	@Test
+	public void testWeirdNames() {
+		new RunningParty(party1, id1, "bla#@12- @1/3", now, end, null);
+		new RunningParty(party1, id1, "12-bla#@12- @1/3", now, end, null);
+	}
+
 }
 
Index: src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java
===================================================================
--- src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java	(revision 28)
+++ src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java	(revision 29)
@@ -37,11 +37,17 @@
 	private GeneralPartyInfo info3;
 	private GeneralPartyInfo info4;
-	private String text1 = "GeneralPartyInfo.*iri1,Capabilities.*Behaviours=.*SAOP.*description 1.*";
-	private String text2 = "GeneralPartyInfo.*iri2,Capabilities.*Behaviours=.*SAOP.*,description 1.*";
-	private String text3 = "GeneralPartyInfo.*iri1,Capabilities.*Behaviours=.*SEB.*,description 1.*";
-	private String text4 = "GeneralPartyInfo.*iri1,Capabilities.*Behaviours=.*SAOP.*,description 2.*";
+	private String text1 = "GeneralPartyInfo.*iri1,Capabilities.*Profile.*SAOP.*description 1.*";
+	private String text2 = "GeneralPartyInfo.*iri2,Capabilities.*Profile.*SAOP.*,description 1.*";
+	private String text3 = "GeneralPartyInfo.*iri1,Capabilities.*Profile.*SEB.*,description 1.*";
+	private String text4 = "GeneralPartyInfo.*iri1,Capabilities.*Profile.*SAOP.*,description 2.*";
 
 	private final ObjectMapper jackson = new ObjectMapper();
 	private String serialized = "{\"uri\":\"http://iri1\",\"capabilities\":{\"behaviours\":[\"SAOP\"],\"profiles\":[\"geniusweb.profile.Profile\"]},\"description\":\"description 1\"}";
+
+	@SuppressWarnings("rawtypes")
+	public void test() {
+		Object a = 1;
+		List l = (List) a;
+	}
 
 	@Before
@@ -91,3 +97,4 @@
 		assertEquals(serialized, string);
 	}
+
 }
